Subject: Ticket Assigned - Landmark Group
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 13 Nov 2020 07:27:33 +0000

Hi Apoorv Joshi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group I placed order of Joie miruz baby stroller on 9th sep 2020.

Initially i made payment through K net in the morning 7.20 AM on 9th sep for which i received technical error message but amount of  29.21 KD was deducted from my bank account.
Bank transaction ID: 025330003554
Merchant ID: 159962553200054144

I made second transaction in the same day evening for the same product of amount 29.21KD
Bank transaction ID: 025330030193
My order was confirmed #8202309423

But i haven't received refund yet for first transaction done.

I confirmed with bank and as per them money was transferred to landmark central so refund would be done from your end. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1507653